"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const Lifecycle_1 = require("../ioc/Lifecycle");
class HTTPHealthChecksPlugin {
    constructor() {
        const server = new express_1.default();
        server.get('/healthz', this.isAlive);
    }
    willStart(app) {
        this.app = app;
    }
    isAlive(req, res) {
        if (!this.app)
            return res.send(500);
        if (this.app.getContext().getStatus() === Lifecycle_1.LifecycleState.STOPPED) {
            res.send(500);
        }
        res.send(200);
    }
}
exports.HTTPHealthChecksPlugin = HTTPHealthChecksPlugin;
//# sourceMappingURL=HTTPHealthChecksPlugin.js.map